Arduino

Serial

## parseInt()

#### Description

Looks for the next valid integer in the incoming serial stream. parseInt() inherits from the Stream utility class.

#### Syntax

Serial.parseInt()

Arduino Mega only:
Serial1.parseInt()
Serial2.parseInt()
Serial3.parseInt()

### Parameters

none

#### Returns

int : the next valid integer

### Example

[Get Code]

#### See also

- begin()
- end()
- available()
- read()
- peek()
- parseInt()
- flush()
- print()
- println()
- write()
- SerialEvent()
- Stream.parseInt()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes